FreeMat

- Main Page
- Related Pages

vtkActorCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkActorCollection represents and provides methods to manipulate a list of actors (i.e., vtkActor and subclasses). The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkActorCollection, simply invoke its constructor as follows

      obj = vtkActorCollection

# Methods

The class vtkActorCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkActorCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkActorCollection = obj.NewInstance ()`
- `vtkActorCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkActor a)` - Add an actor to the list.
- `vtkActor = obj.GetNextActor ()` - Get the next actor in the list.
- `vtkActor = obj.GetLastActor ()` - Get the last actor in the list.
- `vtkActor = obj.GetNextItem ()` - Access routines that are provided for compatibility with previous version of VTK. Please use the GetNextActor(), GetLastActor() variants where possible.
- `vtkActor = obj.GetLastItem ()` - Access routines that are provided for compatibility with previous version of VTK. Please use the GetNextActor(), GetLastActor() variants where possible.
- `obj.ApplyProperties (vtkProperty p)` - Apply properties to all actors in this collection.